#!/bin/sh
#  memory settings
# -Xms<size> set initial Java heap size
# -Xmx<size> set maximum Java heap size
# -Xss<size> set java thread stack size
# -XX:MaxPermSize sets the java PermGen size
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
JAVA_OPTS="-Xms128m -Xmx256m -XX:MaxPermSize=64m";  # memory settings
JAVA_OPTS="$JAVA_OPTS -javaagent:$DIR/../../../lucee-tomcat/lib-lucee//lucee-inst.jar ";   # java agent settings
if [ -d "$DIR/../../jre/" ] ; then
	JRE_HOME=$DIR/../../jre/
	JAVA_HOME=$DIR/../../jre/
	export JRE_HOME;
	export JAVA_HOME;
  echo "SET JAVA_HOME to $JAVA_HOME"
fi
# needed by FR
# LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/opt/lucee/fusionreactor/etc/lib

export JAVA_OPTS;
